Menù Principale

Cerca
Login
Registrati
Link sponsorizzati
<< Discussione precedente | Discussione successiva >>   
Errore nella scheda di X-Gimpshop

Vai a pagina       >>  
Autore Messaggio
eagleman
lun 03 nov 2008 - 18:18
online
Utente registrato #9
Registrato il: sab 20 gen 2007 - 21:36
Provenienza: Veglie
Messaggi: 431

Ho controllato il link nella scheda del programma X-Gimpshop (http://winpenpack.com/main/download.php?view.70) ed ho notato che il sito linkato non è quello ufficiale.
Il sito ufficiale è -Link- ed il nome dell'autore è Scott Moschella.
Penso che si dovrebbe ricontrollare il sito ed aggiornare la scheda.
Ad onor del vero il sito linkato nella scheda non è quello del programma originale ma è quello di una mod di Gimpshop chiamata Gimpshop dot Net realizzata in linguaggio Microsoft.NET che non c'entra nulla col programma originario disponibile sul sito gimpshop.COM.

[ Modificato lun 03 nov 2008 - 18:26 ]
Torna ad inizio pagina
Danix
lun 03 nov 2008 - 20:23

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12654
Grazie della segnalazione eagleman, puntuale come al solito

Ciò che ci ha indotto in errore è che la versione originale di GimpShop è basata sulla 2.2.4 di The Gimp, mentre quella chiamata Gimpshop dot Net, sulla 2.2.8. Inoltre la prima è solo in Inglese, la seconda anche in Italiano.

A questo punto non saprei che fare, anche perchè ieri ero quasi intenzionato ad eliminarla proprio dalla sezione download, o quantomeno a rilasciare il solo launcher, in quanto basata su una versione "preistorica" di Gimp.

Si potrebbero integrare le lingue nella versione originale di GimpShop, ad esempio, o, per l'appunto, eliminarla e rilasciare il solo launcher per la versione originale.

Qualcuno ha suggerimenti?
Torna ad inizio pagina
Sito Web
Danix
lun 03 nov 2008 - 20:38

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12654
Danix ha scritto ...

la seconda anche in Italiano.

emh.... ho dimenticato di aggiungere la traduzione italiana ..


x-gimpshop_2.2.8_rev3_locale_it.zip
Torna ad inizio pagina
Sito Web
eagleman
lun 03 nov 2008 - 21:13
online
Utente registrato #9
Registrato il: sab 20 gen 2007 - 21:36
Provenienza: Veglie
Messaggi: 431
Per la cronaca ci sarebbe anche il Gimpshop originale basato sulla versione 2.2.11, ma è distribuito solo come codice sorgente da ricompilare, mentre quello già compilato è basato sulla versione 2.2.4.
Forse è per questo che avete considerato quell'altro sito.
Ci vorrebbe qualche anima pia che realizzasse una versione di Gimpshop sulla versione 2.6.x di Gimp, ma con un'interfaccia veramente identica a Photoshop e non una singola finestra che contiene le stesse finestre svolazzanti. A questo punto conviene usare la versione originale, no?

[ Modificato lun 03 nov 2008 - 21:23 ]
Torna ad inizio pagina
Danix
lun 03 nov 2008 - 21:48

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12654
eagleman ha scritto ...

A questo punto conviene usare la versione originale, no?

Di GimpShop?
Beh, forse sì, se solo trovassi il pacchetto originale di gimp 2.2.4 per copiare i file delle lingue. Non la trovo più su SF..
Torna ad inizio pagina
Sito Web
eagleman
lun 03 nov 2008 - 21:59
online
Utente registrato #9
Registrato il: sab 20 gen 2007 - 21:36
Provenienza: Veglie
Messaggi: 431
Danix ha scritto ...

eagleman ha scritto ...

A questo punto conviene usare la versione originale, no?

Di GimpShop? -Link-
Beh, forse sì, se solo trovassi il pacchetto originale di gimp 2.2.4 per copiare i file delle lingue. Non la trovo più su SF..


L'ho trovato io.
Anche se nella sola versione setup
Scaricalo da qui

-Link-
Torna ad inizio pagina
Danix
lun 03 nov 2008 - 22:02

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12654
Ok, ora ricordo perchè avevo scelto GimpShop 2.2.8.
La versione "originale" è afflitta da un grave bug che riguarda la finestra di background (che fa riferimento al processo backgroundwindow.exe): quando si chiude il programma non c'è verso di chiuderla se non terminando il processo dal task manager. Quindi adesso ho aggiornato la versione attualmente in download, aggiungendo la lingua italiana) e modificherò la scheda in base alle tue segnalazioni, eagleman.


----edit------

ho visto il setup, ora provo, anche se, come accennato, quel bug ci impedirà di distribuire la versione 2.2.4

[ Modificato lun 03 nov 2008 - 22:19 ]
Torna ad inizio pagina
Sito Web
eagleman
lun 03 nov 2008 - 22:10
online
Utente registrato #9
Registrato il: sab 20 gen 2007 - 21:36
Provenienza: Veglie
Messaggi: 431
-Link-
Qui ci sono TUTTE le versioni di Gimp, dalla 2.0.5 alla 2.6.2
Basta scegliere
Torna ad inizio pagina
Danix
lun 03 nov 2008 - 22:18

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12654
Ok grazie.
Purtroppo le lingue di Gimp 2.2.4 non vengono riconosciute da Gimpshop, inoltre il bug del processo backgroundwindow.exe riguarda la sola versione portabilizzata, e non la versione originale.

Comunque, ora non ho il tempo di capire come risolvere il bug della versione portatile, quindi aggiorno la scheda della versione già in download, per evitare di dare false informazioni.
Torna ad inizio pagina
Sito Web
zandet2
mar 04 nov 2008 - 09:54

online

Utente registrato #3184
Registrato il: mar 06 mar 2007 - 11:52
Provenienza: Busto Arsizio
Messaggi: 3286
Danix ha scritto ...

Comunque, ora non ho il tempo di capire come risolvere il bug della versione portatile, quindi aggiorno la scheda della versione già in download, per evitare di dare false informazioni.


Il problema è che in sono in esecuzione contemporaneamente sia il processo di gimp che il processo di background:



probabilmente appena chiudi gimp il launcher inizia a ripulire l'ambiente e qundi il processo background rimane bloccato non trovando più i dati corretti.

L'unico modo di risolvere l'anomalia sarebbe implementare il launcher per gestire un waitprocess alternativo al processo principale....
Può valere la pena? E' una funzione che potrebbero utilizzare altri software?

==EDIT==
tra parentesi mi succede anche con l'ultima versione aggiornata 2.2.8 (però sto lavorando su W2000)


[ Modificato mar 04 nov 2008 - 10:10 ]
Torna ad inizio pagina

Vai a pagina       >>  
Moderatori: Danix, Taf, Rcs, Energy, zandet2, ZioZione, Admin, LordJim60

Salta:     Torna ad inizio pagina

RSS discussione: rss 0.92 RSS discussione: rss 2.0 RSS discussione: RDF
Powered by e107 Forum System